Draft Circle/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "通过下列函数就可以在macrosPython控制台中使用圆形工具:")
(Created page with "* 利用指定的以毫米为单位的{{incode|radius}}来创建一个{{incode|Circle}}对象。 ** {{incode|radius}} can also be a {{incode|Part.Edge}}, whose {{incode|Curve}...")
Line 62: Line 62:
}}
}}


* Creates a {{incode|Circle}} object with given {{incode|radius}} in millimeters.
* 利用指定的以毫米为单位的{{incode|radius}}来创建一个{{incode|Circle}}对象。
** {{incode|radius}} can also be a {{incode|Part.Edge}}, whose {{incode|Curve}} attribute must be a {{incode|Part.Circle}}.
** {{incode|radius}} can also be a {{incode|Part.Edge}}, whose {{incode|Curve}} attribute must be a {{incode|Part.Circle}}.
* If a {{incode|placement}} is given, it is used; otherwise the shape is created at the origin.
* If a {{incode|placement}} is given, it is used; otherwise the shape is created at the origin.

Revision as of 03:03, 5 June 2019

Draft Circle

Menu location
Draft → Circle
Workbenches
Draft, Arch
Default shortcut
C I
Introduced in version
0.7
See also
Draft Arc, Draft Ellipse

描述

底图圆形工具通过用户输入的两个点(中心点与半径),或通过拾取切线,或上述若干组合来在当前的工作平面上创建一个圆形。它将根据Draft Tray中的Draft Linestyle来创建圆形。

此工具与Draft Arc工具的工作方式很相似,区别在于前者创建的是一个完整的圆周。要绘制椭圆形请使用Draft Ellipse工具。

两点定一圆

如何使用

  1. 点击 Draft Circle按钮,或先后按下CI键。
  2. 在3D视图中单击第一个点,或输入一个coordinate并按下 add point按钮。
  3. 在3D视图中单击第二个点,或输入一个半径值。

通过双击树状视图(tree view)中的元素或点击 Draft Edit按钮即可编辑对应圆形。届时,您就可将中心点与半径点移动到预定的新位置。

创建圆形之后,通过将其第一角度(first angle)与最后角度(last angle)两个属性设置为不同值,便可以将它转换为一条弧。

Options

  • The primary use of the circle tool is by picking two points, the centre and a point on the circumference.
    • By pressing Alt, you can select a tangent instead of picking a point. You can therefore construct several types of circles by selecting one, two or three tangents.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have entered the desired values to insert the point.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Circle tool will restart after you finish the circle, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the circle will create a filled face (数据Make Face true); if not, the circle will not make a face (数据Make Face false).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

属性

圆形对象享有Draft Arc中的所有属性,但是有些属性仅对圆形而言才有意义。

Data

  • 数据First Angle: specifies the starting angle of the circle; normally 0°.
  • 数据Last Angle: specifies the ending angle of the circle; normally 0°.
  • 数据Radius: specifies the radius of the circle.
  • 数据Make Face: specifies if the Circle makes a face or not. If it is true a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
For it to be a full circle 数据First Angle and 数据Last Angle should have the same value; otherwise, a Draft Arc is displayed. The values 0° and 360° aren't considered the same, so if these two values are used, the circle will not form a face.

View

  • 视图Pattern: specifies a Draft Pattern with which to fill the face of the circle. This property only works if 数据Make Face is true, and if 视图Display Mode is "Flat Lines".
  • 视图Pattern Size: specifies the size of the Draft Pattern.

脚本

参见: Draft APIFreeCAD Scripting Basics

通过下列函数就可以在macrosPython控制台中使用圆形工具:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • 利用指定的以毫米为单位的radius来创建一个Circle对象。
    • radius can also be a Part.Edge, whose Curve attribute must be a Part.Circle.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the circle will make a face, that is, it will appear filled.
  • If startangle and endangle are given in degrees, and have different values, they are used and the object appears as a Draft Arc.

示例:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)